Bug 1321861 - glibc: "getent group" listing using nss_db fails when entries are long
Summary: glibc: "getent group" listing using nss_db fails when entries are long
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1318890
TreeView+ depends on / blocked
 
Reported: 2016-03-29 09:32 UTC by Florian Weimer
Modified: 2016-05-15 04:52 UTC (History)
9 users (show)

Fixed In Version: glibc-2.22-15.fc23, glibc-2.23.1-7.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of: 1318890
Environment:
Last Closed: 2016-05-15 04:52:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 19837 None None None 2016-03-29 09:32:52 UTC

Description Florian Weimer 2016-03-29 09:32:53 UTC
+++ This bug was initially created as a clone of Bug #1318890 +++

Description of problem:
The client discovered this when testing with RHEL7 against a sizable groups.db file. The 'getet groups' list was truncated and was missing most entries. Florian had a look and submitted the following upstream patch which was tested to resolve the issue:

https://sourceware.org/bugzilla/show_bug.cgi?id=19837

Comment 1 Fedora Update System 2016-05-07 17:18:48 UTC
glibc-2.22-15.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-68abc0be35

Comment 2 Fedora Update System 2016-05-08 16:25:03 UTC
glibc-2.22-15.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-68abc0be35

Comment 3 Florian Weimer 2016-05-09 09:02:47 UTC
Fixed with this new 2.23 backport:

commit 28a87e027450b66faf1a431fc62779297c760e29
Author: Florian Weimer <fweimer@redhat.com>
Date:   Tue Mar 29 11:27:32 2016 +0200

    nss_db: Propagate ERANGE error if parse_line fails [BZ #19837]

Comment 4 Fedora Update System 2016-05-09 14:57:15 UTC
glibc-2.23.1-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b321728d74

Comment 5 Fedora Update System 2016-05-10 17:57:11 UTC
glibc-2.22-15.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-05-10 20:30:24 UTC
glibc-2.23.1-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b321728d74

Comment 7 Fedora Update System 2016-05-11 13:55:44 UTC
glibc-2.23.1-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b321728d74

Comment 8 Fedora Update System 2016-05-12 09:44:19 UTC
glibc-2.23.1-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b321728d74

Comment 9 Fedora Update System 2016-05-14 23:30:15 UTC
glibc-2.23.1-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.